using NPOI.SS.Formula.Functions;
using System;
using System.Collections.Generic;
using System.Text;

namespace Siger.Middlelayer.DashboardRepository.Response
{
    public class ResponseOeeSumary
    {
        public ResponseOeeSumary()
        {
            if (X == null)
            {
                X = new List<string>();
            }
            if (Y == null)
            {
                Y = new List<double>();
            }
            if (data == null)
            {
                data = new List<ResponseOeeSumaryData>();
            }
        }
        public List<string> X { get; set; }
        public List<double> Y { get; set; }
        public double total { get; set; } = 0;
        public List<ResponseOeeSumaryData> data { get; set; }
    }



    public class ResponseOeeSumaryData
    {
        public string name { get; set; }
        public double number { get; set; }
    }
}
